## org.apache.poi.hslf.model
Class Comment

    java.lang.Object
      org.apache.poi.hslf.model.Comment

    public final class Comment

extends java.lang.Object

Author:
  Nick Burch

Constructor Summary
`Comment(Comment2000 comment2000)`

Method Summary
`java.lang.String` `getAuthor()` Get the Author of this comment
`java.lang.String` `getAuthorInitials()` Get the Author's Initials of this comment
`protected Comment2000` `getComment2000()`
`java.lang.String` `getText()` Get the text of this comment
`void` `setAuthor(java.lang.String author)` Set the Author of this comment
`void` `setAuthorInitials(java.lang.String initials)` Set the Author's Initials of this comment
`void` `setText(java.lang.String text)` Set the text of this comment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Comment

    public Comment(Comment2000 comment2000)

Method Detail

### getComment2000

    protected Comment2000 getComment2000()

### getAuthor

    public java.lang.String getAuthor()

  Get the Author of this comment

### setAuthor

    public void setAuthor(java.lang.String author)

  Set the Author of this comment

### getAuthorInitials

    public java.lang.String getAuthorInitials()

  Get the Author's Initials of this comment

### setAuthorInitials

    public void setAuthorInitials(java.lang.String initials)

  Set the Author's Initials of this comment

### getText

    public java.lang.String getText()

  Get the text of this comment

### setText

    public void setText(java.lang.String text)

  Set the text of this comment

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.